com.tibco.tea.agent

## Class TeaAgent

- java.lang.Object
- - com.tibco.tea.agent.internal.BaseTeaAgent
  - - com.tibco.tea.agent.server.InternalTeaAgent
    - - com.tibco.tea.agent.TeaAgent

- Deprecated.
  As of release 0.9, TeaAgent is deprecated. Use TeaAgentServer directly for creating the agent. This class would be removed in release 1.0.

      @Deprecated
      public class TeaAgent
      extends InternalTeaAgent

  TeaAgent provides support for constructing and extending the Tea Agent functionality.

  Example:

       TeaAgent agent = new TeaAgent("HelloWorldAgent", "1.0", "Hellow World Agent");
       agent.registerInstance(new HelloWorldAgent());
       TeaAgentServer server = new TeaAgentServer(agent, 1234, "/helloworldagent");
       server.start();

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TeaAgent(String name, String version, String agentInfo)` Deprecated. Construct a TeaAgent instance

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init()` Deprecated. Initialize the TeaAgent to start accepting requests

    - ### Methods inherited from class com.tibco.tea.agent.internal.BaseTeaAgent

      `addEventListener, disableIndex, getAgentDispatcher, getMetricsRegistry, getNotificationService, getProtocol, getSeparator, registerInstance, registerInstances, registerResourceLocation, registerSolution, registerSolutions, setEventNotificationBatchSize, setEventNotificationInterval, setProtocol, setSeparator, setTibcoHome, unregisterSolution, unregisterSolutions, withDocumentation, withProductExtension`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TeaAgent

          public TeaAgent(String name,
                          String version,
                          String agentInfo)

      Deprecated.
      Construct a TeaAgent instance
      Parameters:
        `name` - Name of the agent
        `version` - Version of the agent
        `agentInfo` -

  - ### Method Detail

    - #### init

          public void init()

      Deprecated.
      Description copied from class: `com.tibco.tea.agent.internal.BaseTeaAgent`
      Initialize the TeaAgent to start accepting requests
      Overrides:
        `init` in class `com.tibco.tea.agent.internal.BaseTeaAgent`

Copyright © 2022 TIBCO Software Inc.. All Rights Reserved.